# Form implementation generated from reading ui file 'src/eric7/WebBrowser/WebAuth/Fido2InfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_Fido2InfoDialog(object):
    def setupUi(self, Fido2InfoDialog):
        Fido2InfoDialog.setObjectName("Fido2InfoDialog")
        Fido2InfoDialog.resize(600, 700)
        Fido2InfoDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(Fido2InfoDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=Fido2InfoDialog)
        self.headerLabel.setText("Header")
        self.headerLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.infoWidget = QtWidgets.QTreeWidget(parent=Fido2InfoDialog)
        self.infoWidget.setAlternatingRowColors(True)
        self.infoWidget.setColumnCount(2)
        self.infoWidget.setObjectName("infoWidget")
        self.infoWidget.headerItem().setText(0, "1")
        self.infoWidget.headerItem().setText(1, "2")
        self.infoWidget.header().setVisible(False)
        self.verticalLayout.addWidget(self.infoWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=Fido2InfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(Fido2InfoDialog)
        self.buttonBox.accepted.connect(Fido2InfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(Fido2InfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(Fido2InfoDialog)

    def retranslateUi(self, Fido2InfoDialog):
        _translate = QtCore.QCoreApplication.translate
        Fido2InfoDialog.setWindowTitle(_translate("Fido2InfoDialog", "Security Key Information"))
